// AuthTab.cpp

#include "AuthTab.h"

AuthTab *AuthTab::instance = 0;

AuthTab *AuthTab::Instance()
{
	if (!instance)
		instance = new AuthTab;
	return instance;
}

AuthTab::AuthTab()
	: lblUser("Username:"), lblPass("Password:"), ckbUseAuth("NNTP Server Requires\nAuthentication")
{
	set_border_width(20);

	entUser.set_editable(true);
	entPass.set_editable(true);
	entPass.set_visibility(false);		// echo asterisks for password box
	boxCheck.pack_start( ckbUseAuth );
	
	boxUser.pack_start( lblUser );
	boxUser.pack_end( entUser );
	
	boxPass.pack_start( lblPass );
	boxPass.pack_end( entPass );

	boxMain.pack_start( boxCheck );
	boxMain.pack_start( boxUser );
	boxMain.pack_start( boxPass );

	add( boxMain );
	
	show_all();
}

AuthTab::~AuthTab()
{
	// nothing to clean up here
}

	