// HtmlOptions.h

//	PicMonger automates retrieval, decoding, and previewing of Usenet newsgroup files.
//	Copyright (C) 1999,2000		David J.V. Brown, MD
//
//	This program is free software; you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation; either version 2 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef _HTMLOPTIONS_H
#define _HTMLOPTIONS_H

#include <gtk--/frame.h>
#include <gtk--/table.h>
#include <gtk--/checkbutton.h>
#include <gtk--/adjustment.h>
#include <gtk--/spinbutton.h>
#include <gtk--/label.h>
#include <gtk--/button.h>

class HtmlOptionState;
class HtmlOptions : public Gtk::Frame {
	public:
		~HtmlOptions();

		static HtmlOptions *Instance();
		
	protected:
		static HtmlOptions *_instance;
		HtmlOptions();
		
	private:
		HtmlOptionState *p_htOpts;
		
		Gtk::Table *tblMain;
		Gtk::CheckButton *ckbShowBanner;
		Gtk::CheckButton *ckbShowGroupname;
		Gtk::CheckButton *ckbShowFilenames;
		Gtk::CheckButton *ckbSortFiles;

		Gtk::Frame		*frmThumbs;
		Gtk::Table		*tblThumbs;
		Gtk::Adjustment *adjHeight;
		Gtk::Adjustment *adjWidth;
		Gtk::SpinButton *spinHeight;
		Gtk::SpinButton *spinWidth;
		Gtk::Label 		*lblHeight;
		Gtk::Label 		*lblWidth;

		Gtk::Adjustment *adjRows;
		Gtk::Adjustment *adjCols;
		Gtk::SpinButton *spinRows;
		Gtk::SpinButton *spinCols;
		Gtk::Label 		*lblRows;
		Gtk::Label 		*lblCols;

		Gtk::Button		*btnSetOpts;
		void cbSetOpts();
};

#endif
