// OptionsTab.h
// This is the tab for general/miscellaneous options settings in the GUI

#ifndef _OPTIONSTAB_H
#define _OPTIONSTAB_H

#include <gtk--/frame.h>
#include <gtk--/table.h>
#include <gtk--/button.h>
#include <gtk--/entry.h>
#include <gtk--/label.h>
#include <gtk--/fileselection.h>
#include "HtmlOptions.h"

class OptionsTab : public Gtk::Table {

	public:
		OptionsTab();
		~OptionsTab();

	private:
		Gtk::Frame	*frmPath;
		HtmlOptions	*frmHtmlGen;
			
		Gtk::Table 	*tblPath;
		Gtk::Entry 	*entPath;
		Gtk::Button	*btnBrowse;
		void cbBrowse();
		void cbFileSelOK();
		void cbFileSelCancel();
		void cbTextChange();
		
		Gtk::FileSelection	*fileSel;

};


#endif